%this file imposes artificial imbalance on the original folds of the
%bookcrossing dataset (see Example_Foldgen.m):
load('Example_Folds_orig_BookCrossing.mat')

%(adaptable) Parameters:
Fold_Nr = 1;%process this fold
p = 1; %imbalance ratio in percent (p=[] means no artificial imbalance is created)

%outcomes
%X_train,Y_Train: the training data (for the current fold) to which 
%                 sampling/boosting procedures can be applied 
%X_val,Y_val: the validation data (for the current fold)
%X_test,Y_test: the test data (for the current fold)

if(~isempty(p))
    %downsample the minority train set according to p percent
    X_train_orig = Folds{Fold_Nr,1};Y_train_orig = Folds{Fold_Nr,2};
    ind_maj = find(Y_train_orig == -1);ind_min = find(Y_train_orig == 1);
    X_train_orig_maj = X_train_orig(ind_maj,:);Y_train_orig_maj = Y_train_orig(ind_maj);
    X_train_orig_min = X_train_orig(ind_min,:);Y_train_orig_min = Y_train_orig(ind_min);
    nr_train_maj = length(ind_maj);
    nr_train_min = ceil((p/100)*nr_train_maj);
    X_train_min = X_train_orig_min(1:nr_train_min,:); Y_train_min = Y_train_orig_min(1:nr_train_min);
    X_train = [X_train_orig_maj;X_train_min];
    Y_train = [Y_train_orig_maj;Y_train_min];
    %validation and test set 
    X_val = Folds{Fold_Nr,3}; Y_val = Folds{Fold_Nr,4};
    X_test = Folds{Fold_Nr,5}; Y_test = Folds{Fold_Nr,6};
else
    %training set (no downsampling)
    X_train = Folds{Fold_Nr,1}; Y_train = Folds{Fold_Nr,2};    
    %validation and test set 
    X_val = Folds{Fold_Nr,3}; Y_val = Folds{Fold_Nr,4};
    X_test = Folds{Fold_Nr,5}; Y_test = Folds{Fold_Nr,6};
end