function h = Predict_WeakLearner(X,model)

%this function returns h(X) (the result of applying the weak learner to X)

%Input
    % X: (arbitrary) data for which to obtain weak learner predictions
    % model: SVM model structure, extended with fields model.LR_weights and
    % model.Ind_Pred ('normal' or 'abnormal')
    
%Output
    %pred: corresponding weak learner predictions
        %model.Ind_Pred = 'normal': SVM & LR, outputs in [-1,1]
        %model.Ind_Pred = 'irregular': only SVM-scores

if (strcmp(model.Ind_Pred,'normal'))
    [~,~,scores] = predict(ones(size(X,1),1),X,model,'-q');
    probabilities = glmval(model.LR_weights,scores,'logit');
    h = 2*probabilities-1;
elseif(strcmp(model.Ind_Pred,'irregular'))
    [~,~,h] = predict(ones(size(X,1),1),X,model,'-q');
end
end

