function h = Predict_WeakLearner_BeSim(X,Y,model,Xte)

%this function returns h(Xte) (the result of applying the weak BeSim-learner to Xte)

%Input
    %X,Y: original training data
    %model: BeSim model structure (contains indices from X,Y)
    %Xte: apply model to this data
    
%Output
    %h: BeSim (weak learner) confidence rated predictions in [-1,1]

%training data
Xtr = X(model.Ind,:);
Ytr = Y(model.Ind);
%apply WvRN learner 
Ytr(Ytr == -1) = 0;%Ytr should have labels 1 and 0
[~,prob,~] = doWvRN_fast(Xtr,Ytr,Xte,'tangens_hyperbolicum');
h = 2*prob-1;

end

