function model = Train_WeakLearner_BeSim(X,Y,ind,D)
%Train BeSim-model under current distribution D

%Input
    %X,Y: original training data 
    %ind: indices from (X,Y) that belong to subset s (X_s,Y_s)
    %D: current weight distribution for subset X_s,Y_s 
    %   (X_s = X(ind,:) and Y_s = Y(ind))
%Output
    %model: BeSim-model (contains indices from X,Y) 

%sample from Distribution D
N = length(ind);%nr of samples
pos = discretesample(D,N);
ind_train = ind(pos);

model = struct('Ind',ind_train);
if(isempty(find(Y(ind_train) ==1)))
    disp('no positive instance in training set')
elseif(isempty(find(Y(ind_train) ==-1)))
    disp('no negative instance in training set')
end

end

