function h = Predict_WeakLearner_LR_Big(X,model)

%this function returns h(X) (the result of applying the weak LR-learner to X)

%Input
    % X: (arbitrary) data for which to obtain weak learner predictions
    % model: string containing location of the LR-model
    
%Output
    %h: LR (weak learner) confidence rated predictions in [-1,1]

load(model)
[~,~,prob] = predict(ones(size(X,1),1),X,model,'-q -b 1');
prob = prob(:,1);
probabilities = glmval(model.LR_weights,prob,'logit');
h = 2*probabilities-1;
end

