function model = Train_WeakLearner_LR(X,Y,D,C)
%Train LR-model under current distribution D

%Input
    %X,Y: training data 
    %D: weights given to X,Y by boosting process
    %C: Regularization parmater value to train LR-model (actual C will be adjusted)
%Output
    %model: LR-model 

%obtain L2-regularized LR-model
C_train = C/mean(D);
train_opt = ['-q -s 0 -e 0.001 -B 1 -c ' num2str(C_train)];
model = train(D,Y,X,train_opt);    

Y(Y == -1) = 0;
[~,~,prob] = predict(ones(size(X,1),1),X,model,'-q -b 1');
prob = prob(:,1);
opt = 'binomial';
[~,weights] = evalc('glmfit(prob,Y,opt)'); %fit LR model based on scores LR
model.LR_weights = weights;
end

