function [Alpha,Weak_Learners,R,Time] = EasyEnsemble_Boosting_NB(X,Y,s,T)
% Plain AdaBoost algorithm (with NB base learner)
%Input
    %(X,Y): training data (subset)
    %s: subset index
    %T: nr of boosting rounds 
    
%initialize
m = size(X,1);
D = ones(m,1)/m;
Alpha = zeros(1,T);
R = zeros(1,T);
Weak_Learners = cell(1,T);
Time = zeros(1,T);

%First boosting round
tic;
t = 1;
Train_WeakLearner    
if ((r > 1-1e-6 && r < 1+1e6)|| r < 1e-06)
    %r = 1 or r < 0
    Alpha(1) = 1;
    Weak_Learners{1} = model;
    R(1) = r;
    Time(1) = toc;
    return
else
    alpha = log((1+r)/(1-r))/2;
    D = D.*exp(-alpha*Y.*h_X);
    D = D/sum(D);
    %store results 
    Alpha(1) = alpha;
    Weak_Learners{1} = model;
    R(1) = r;
    Time(1) = toc; 
end

for t = 2:T
    tic;
    %train weak leaner under the current distribution D
    Train_WeakLearner
    if ((r > 1-1e-6 && r < 1+1e6) || r < 1e-06)
        Alpha(t) = 0;
        Alpha = Alpha/sum(Alpha);
        R(t) = r;
        Time(t) = toc;
        return
    else
        %choose alpha 
        alpha = log((1+r)/(1-r))/2;
        %update
        D = D.*exp(-alpha*Y.*h_X);
        D = D/sum(D);
        %store results 
        Alpha(t) = alpha;
        Weak_Learners{t} = model;
        R(t) = r;
        Time(t) = toc; 
    end
end
%update alpha
Alpha = Alpha/sum(Alpha);

    function Train_WeakLearner
    try
        model = Train_WeakLearner_NB(X,Y,D,s,t);
        h_X = Predict_WeakLearner_NB(X,model);%confidence rated predictions
        r = sum(D.*Y.*h_X);
    catch
        disp('error in Train_WeakLearner')
        Train_WeakLearner
    end
    end
end
