function [AUC,sens,spec,G_means,F_measure] = Performances_Boosting(Y,Y_pred,Y_scores)

T = size(Y_pred,2);
AUC = zeros(1,T);
sens = zeros(1,T);
spec = zeros(1,T);
G_means = zeros(1,T);
F_measure = zeros(1,T);
idx_pos = find(Y == 1);
idx_neg = find(Y == -1);

%T=1
[~,~,~,AUC(1)] = perfcurve(Y,Y_scores(:,1),1);
TP = length(find(Y_pred(idx_pos,1) == 1));
FN = length(find(Y_pred(idx_pos,1) == -1));
TN = length(find(Y_pred(idx_neg,1) == -1));
FP = length(find(Y_pred(idx_neg,1) == 1));
sens(1) = TP/(TP+FN); %accuracy of +1 class
spec(1) = TN/(FP+TN); % accuracy of -1 class
prec = TP/(TP+FP);
G_means(1) = sqrt(sens(1)*spec(1));
F_measure(1) = (2*sens(1)*prec)/(sens(1)+prec);

for t=2:T
    if(isempty(find(Y_scores(:,t)~=Y_scores(:,t-1), 1)))
        %the scores don't change anymore
        AUC(t:end) = AUC(t-1);
        sens(t:end) = sens(t-1);
        spec(t:end) = spec(t-1);
        G_means(t:end) = G_means(t-1);
        F_measure(t:end) = F_measure(t-1);
    else
        [~,~,~,AUC(t)] = perfcurve(Y,Y_scores(:,t),1);
        TP = length(find(Y_pred(idx_pos,t) == 1));
        FN = length(find(Y_pred(idx_pos,t) == -1));
        TN = length(find(Y_pred(idx_neg,t) == -1));
        FP = length(find(Y_pred(idx_neg,t) == 1));
        sens(t) = TP/(TP+FN); %accuracy of +1 class
        spec(t) = TN/(FP+TN); % accuracy of -1 class
        prec = TP/(TP+FP);
        G_means(t) = sqrt(sens(t)*spec(t));
        F_measure(t) = (2*sens(t)*prec)/(sens(t)+prec);
    end
end

