function h = Predict_WeakLearner_NB(X,model)

%this function returns h(X) (the result of applying the weak NB-learner to X)

%Input
    % X: (arbitrary) data for which to obtain weak learner predictions
    % model: NB-model structure
    
%Output
    %h: NB (weak learner) confidence rated predictions in [-1,1]

Y = ones(size(X,1),1); %random
Y(end) = -1;
libsvmwrite('C:\Temp\NB\Test_Data.libsvm',Y,X)
testdata = 'C:\Temp\NB\Test_Data.libsvm';
scoreFile = 'C:\Temp\NB\MVNB_Scores.txt';
cmd = ['--predict -a 0 -m ' model.File ' -te ' testdata ' -o ' scoreFile];
CW = evalc('bigbayes(cmd)');
fileID = fopen(scoreFile);
Result = textscan(fileID,'%f %f %f');
fclose(fileID);
scores = Result{3};
probabilities = glmval(model.LR_weights,scores,'logit');
h = 2*probabilities-1;
end

