function model = Train_WeakLearner_NB(X,Y,D,s,t)
%Train NB-model under current distribution D

%Input
    %X,Y: training data 
    %D: weights given to X,Y by boosting process
    %s: subset index
    %t: boosting round index
%Output
    %model: NB-model 

%Sample from distribution to obtain training data
if(t == 1)
    %uniform distribution, no need to sample from D
    Xtr = X;
    Ytr = Y;
else
    N = length(Y);%nr of samples
    ind_train = discretesample(D,N);
    Xtr = X(ind_train,:);
    Ytr = Y(ind_train);
    if(isempty(find(Ytr ==1)))
        disp('no positive instance in training set')
    elseif(isempty(find(Ytr ==-1)))
        disp('no negative instance in training set')
    end
end

%train NB-model
model = struct;
libsvmwrite('C:\Temp\NB\Training_Data.libsvm',Ytr,Xtr);
traindata = 'C:\Temp\NB\Training_Data.libsvm';
model.File = ['C:\Temp\NB\NB_model_s' num2str(s) '_t' num2str(t)];
cmd = ['--train -a 0 -tr ' traindata ' -m ' model.File];
CW = evalc('bigbayes(cmd)');

%train LR-model
scoreFile = 'C:\Temp\NB\MVNB_Scores.txt';
cmd = ['--predict -a 0 -m ' model.File ' -te ' traindata ' -o ' scoreFile];
CW = evalc('bigbayes(cmd)');
fileID = fopen(scoreFile);
Result = textscan(fileID,'%f %f %f');
fclose(fileID);
scores = Result{3};
Ytr(Ytr == -1) = 0;
opt = 'binomial';
[~,weights] = evalc('glmfit(scores,Ytr,opt)'); %fit LR model based on scores LR
model.LR_weights = weights;
end

