function h = Predict_WeakLearner_SVM_Big(X,model)

%this function returns h(X) (the result of applying the weak SVM-learner to X)

%Input
    % X: (arbitrary) data for which to obtain weak learner predictions
    % model: string containing location of the SVM-model
    
%Output
    %h: SVM (weak learner) confidence rated predictions in [-1,1]

load(model)
[~,~,scores] = predict(ones(size(X,1),1),X,model,'-q');
probabilities = glmval(model.LR_weights,scores,'logit');
h = 2*probabilities-1;
end

