function modelfile = Train_WeakLearner_SVM_Big(X,Y,D,C,s,t)
%Train SVM-model under current distribution D

%Input
    %X,Y: training data 
    %D: weights given to X,Y by boosting process
    %C: Regularization parmater value to train SVM-model (actual C will be adjusted)
    %s: current sample number under consideration 
    %t: current boosting iteration number under consideration
%Output
    %modelfile: SVM-model stored in C:\Temp\SVM\ (with s and t appearing in its name) 

%obtain SVM-model
C_train = C/mean(D);
train_opt = ['-q -s 3 -e 0.001 -B 1 -c ' num2str(C_train)];
model = train(D,Y,X,train_opt);    

Y(Y == -1) = 0;
[~,~,scores] = predict(ones(size(X,1),1),X,model,'-q');
opt = 'binomial';
[~,weights] = evalc('glmfit(scores,Y,opt)'); %fit LR model based on scores SVM
model.LR_weights = weights;

modelfile = ['C:\Temp\SVM\SVM_model_s' num2str(s) '_t' num2str(t) '.mat'];
save(modelfile,'model');
end

