%% bigBayes matlab infterface, options is the optionstring to pass on
%  leave it empty to see all available options
function [AUC,STDDEV] = bigbayes(options)
    varargin;
    if(numel(options) == 0)
        options = '--help';
    end
    mypath = mfilename('fullpath');
    diridx = strfind(mypath,filesep);
    mypath = mypath(1:diridx(end));
    cmd     = [mypath() 'bigbayes.exe ' options];
    evalc('[status,out] = system(cmd)');

    if(status == 1) 
        error(out);
        return;
    end
    
    %Cross validation mode
    if(strfind(options,'--cv'))
        data    = sscanf(out,'%f,%f');
        disp(out);
        %AUC     = data(1);
        %STDDEV  = data(2);
    elseif(strfind(options,'--test'))
        data    = sscanf(out,'%f');
        disp(out);
        %AUC     = data(1);
        %STDDEV  = 1;
    elseif(strfind(options,'--traintest'))
        data    = sscanf(out,'%f');
        disp(out);
        %AUC     = data(1);
        %STDDEV  = 1;
    else 
        AUC = -1;
        STDDEV = -1;
        disp(out);
    end    
end