function  y  = repvec(vec,N)
%This function creates a matrix y, containing a duplicated version of the
%inputvector vec. 
%The result is the same as y = repmat(vec,[N 1]), however it is typically a
%lot faster for highly sparse vectors (as is the case in most of our
%transactional data sets)

%Input
    %vec is the (sparse) input row vector
    %N is the number of duplicates
%Output
    % y is N*L matrix, containing N duplicates of vec

[~,j,v] = find(vec);
i = (1:1:N);
I = repmat(i,length(v),1);
I = I(:);
J = repmat(j,1,N);
V = repmat(v,1,N);
y = sparse(I,J,V,N,size(vec,2));

end

