function [X_train,Y_train] = RUS(X_min,X_maj,beta)

m_s = size(X_min,1);
m_l = size(X_maj,1);

%number of maj instances to be removed
nr_remove = floor(beta*(m_l-m_s));
if(beta ==0)
    X_train = [X_min;X_maj];
    Y_train = [ones(m_s,1);-1*ones(m_l,1)];
    return
end
%randomly remove majority rows
ind_remove = randperm(m_l,nr_remove);
X_maj_down = removerows(X_maj,'ind',ind_remove);

%construct new training data
X_train = [X_min;X_maj_down];
Y_train = [ones(m_s,1);-1*ones(size(X_maj_down,1),1)];

